Page MenuHomePhabricator

Remove old ATOM feed which have been used by WMDE Engineering page on mediawiki.org
Closed, ResolvedPublic

Description

Looks like some of the feeds that was allowed to include in wiki pages in T127176: Include ATOM feed on WMDE Engineering page on mediawiki.org was recently removed from mediawiki.org website. I see in this diff https://sourcecode.berlin/feed/.

If these feeds are no longer used at all on-wiki, we can remove this. Can someone from WMDE confirm this, and if the two other links are no longer used ?

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 4:07 PM
Urbanecm claimed this task.Apr 18 2017, 4:42 PM
Urbanecm added a subscriber: Urbanecm.

Would not deploy anything without wmde's confirmation.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 18 2017, 4:42 PM

Change 348782 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Remove https://sourcecode.berlin/feed/ from RSS whitelist for mw.org

https://gerrit.wikimedia.org/r/348782

Urbanecm triaged this task as Low priority.Apr 18 2017, 6:11 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.
Dzahn added a subscriber: Dzahn.Apr 18 2017, 8:02 PM

re: wiki related engineering RSS feeds, any additions or removals for https://de.planet.wikimedia.org/ or its other language versions as well?

I can confirm that this feed can be now removed from the white list. https://planet.wikimedia.de/atom.php and https://planet.wikimedia.de/wikidata/atom.php are also not going to be used at mediawiki.org, so they could be removed from the whitelist as well. If you need any other information/confirmation regarding this, please just ping me.

I've removed all of them then.

Thanks @Urbanecm. To have it said explicitly: three RSS/ATOM feeds discussed here have been whitelisted on mediawiki.org in order to use them on WMDE Engineering page on mw.org (see T127176).
https://www.mediawiki.org/wiki/WMDE_Engineering has been recently restructured significantly. Among other changes, those feeds are no longer included there. WMDE has no plans to use any of those feeds on mediawiki.org in the future. As such, those could be removed from the white list to keep it clean and up-to-date.

Change 348782 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove all feeds added in T127176 from RSS whitelist for mw.org

https://gerrit.wikimedia.org/r/348782

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-04-24T13:05:04Z] <hashar@naos> Synchronized wmf-config/InitialiseSettings.php: Remove all feeds added in T127176 from RSS whitelist for mw.org - T163217 (duration: 00m 45s)

Urbanecm closed this task as Resolved.Apr 24 2017, 1:09 PM